SURFRAW-UPDATE-PATH(1)

NAME
surfraw-update-path - updates PATH in shell config files

SYNOPSIS
surfraw-update-path [-add] [-remove] [-check] [-sys] [-all] [-help] [-shell=SHELL]

DESCRIPTION
surfraw-update-path adds the surfraw elvi directory (/usr/lib/surfraw) to your PATH in your shell's config file.

Currently it supports bash, sh, csh, tcsh, ash, dash, ksh, pdksh, zsh, rc, and es

Don't forget to login again or source your login files for it to take effect.

OPTIONS

-check
    Checks to see if the surfraw config code is present. This is the default.

-add
    Adds the surfraw config code.

-remove
    Removes the surfraw config code

-sys
    Updates the system-wide shell config instead of the user. Must be done as root.

-shell=SHELL
    Selects the shell to configure. Defaults to the value of the $SHELL environment variable.

    Currently supported shells are:

    sh, ash, bash, dash, csh, tcsh, ksh, pdksh, zsh, rc, and es.

-all
    Attempts to configure the startup files for all known shells

-help
    Gives a usage message

RETURN VALUE
-check returns 0 if the surfraw code is present in the file, 1 if it is not found, or 2 on error.

All other options return 0 on success, or 2 on error.

ENVIRONMENT

SHELL
    Used to determine which shell to configure, if -shell is not given.

HOME
    Used to find users config files.

ENV Used by posix-compliant shells to specify a startup rc file.

ZDOTDIR
    Used to find user config files for zsh. If not set, defaults to HOME.

SEE ALSO
surfraw(1), sh(1), ash(1), bash(1), dash(1), csh(1), tcsh(1), ksh(1), pdksh(1), zsh(1), rc(1), es(1)

AUTHOR
Ian Beckwith <ianb@erislabs.net>